
void mousePick_vp( float4 position 		: POSITION,
		   out float4 oPosition    	: POSITION,
		   uniform float4x4 worldViewProj )
{	
	oPosition = mul( worldViewProj, position ); 
}

void mousePick_fp(
				uniform float ID : TEXCOORD0,
				out float4 colour : COLOR )
{
	colour.xyzw = ID;
}
